Option Strict Off
Option Explicit On
Module Module1
	
	Declare Function GetDiskFreeSpace Lib "kernel32"  Alias "GetDiskFreeSpaceA"(ByVal lpRootPathName As String, ByRef lpSectorsPerCluster As Integer, ByRef lpBytesPerSector As Integer, ByRef lpNumberOfFreeClusters As Integer, ByRef lpTotalNumberOfClusters As Integer) As Integer
	
	Public Function GetDiskSpace(ByRef Drive As String) As Decimal
		Dim DiskFree As Decimal
		Dim nSectorsPerCluster As Integer
		Dim nBytesPerSector As Integer
		Dim nNumberOfFreeClusters As Integer
		Dim nTotalNumberOfClusters As Integer
		'
		If Len(Drive) < 3 Then Drive = Drive & "\"
		If GetDiskFreeSpace(UCase(Drive), nSectorsPerCluster, nBytesPerSector, nNumberOfFreeClusters, nTotalNumberOfClusters) Then
			DiskFree = nNumberOfFreeClusters * nSectorsPerCluster
            DiskFree = DiskFree * nBytesPerSector
		Else
			DiskFree = -1
		End If
		
		GetDiskSpace = DiskFree
	End Function
End Module